import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconDirection as IconDirectionClass } from "../../../../components/icon/icons/direction.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconDirection = (props) => {
  IconDirectionClass.define();
  const JSXElement = getReactComponent("gds-icon-direction");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconDirection.displayName = "IconDirection";
export {
  IconDirection
};
